<div class="full-width" [formGroup]="formGroup">
  <nz-input-group [nzSuffix]="suffixIconReset">
    <input
      #textInput
      nz-input
      [formControlName]="field.id"
      [nzAutocomplete]="auto"
      [attr.data-test-element-id]="'combo-box-input'"
    />
  </nz-input-group>
  <nz-autocomplete
    [nzDataSource]="getAutocompleteOptions() | async"
    nzNoAnimation
    #auto
  ></nz-autocomplete>

  @for (error of errors; track error) {
    <div class="has-error">
      <span
        [attr.data-test-error-key]="error.provideI18nKey()"
        class="sqtm-core-error-message"
        >{{ error.provideI18nKey() | translate }}</span
      >
    </div>
  }
</div>

<ng-template #suffixIconReset>
  @if (formControl.value != '' && formControl.value != null) {
    <i
      nz-icon
      class="ant-input-textarea-clear-icon"
      nzTheme="fill"
      nzType="close-circle"
      (click)="resetValue()"
    >
    </i>
  }
</ng-template>
